# mongoc_collection_save()

## Synopsis

    bool
    mongoc_collection_save (mongoc_collection_t          *collection,
                            const bson_t                 *document,
                            const mongoc_write_concern_t *write_concern,
                            bson_error_t                 *error);

## Parameters

collection | A mongoc_collection_t.
document | A bson_t containing the document.
write_concern | A mongoc_write_concern_t or NULL for default write concern.
error | An optional location for a bson_error_t or NULL.

## Description

This function shall save a document into collection. If the document has an _id field it will be updated. Otherwise it will be inserted.

## Errors

Errors are propagated via the error parameter.

## Returns

true if successful, otherwise false and error is set.